﻿using System;
using System.Web.UI;
using ThinkGeo.MapSuite.SilverlightEdition;
using ThinkGeo.MapSuite.Core;

namespace SilverlightApplication.Web {
    public partial class WebForm1 : System.Web.UI.Page {
        protected void Page_Load(object sender, EventArgs e) {
            if (!Page.IsPostBack) {
                ServerLayerOverlay layerOverlay = new ServerLayerOverlay("NativeServer");
                ShapeFileFeatureLayer layer = new ShapeFileFeatureLayer(MapPath("app_data/cntry02.shp"));
                layer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Country2;
                layer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                layerOverlay.Layers.Add(layer);

                SilverlightMapConnector1.ServerLayerOverlays.Add(layerOverlay);
            }
        }
    }
}
